/*
Theme Name: Th1nk
Theme URI: 
Author: John Philip
Author URI: 
Description: 
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: th1nk
Tags: 
*/

:root {
    --thecolor : var(--wp--preset--color--custom-grey);
}

.wp-site-blocks {   min-height: calc(100vh - var(--wp-admin--admin-bar--height, 0px)); }

body {

    background-image:url(https://test.th1nk.co.za/wp-content/uploads/2025/11/th1nk-logo-grey.svg);
    background-repeat: no-repeat;
    background-position: center calc(100% + 2vw);
    background-size: 105%;
    

    &.red { --thecolor : var(--wp--preset--color--custom-red); }
    &.orange { --thecolor : var(--wp--preset--color--custom-orange);}
    &.yellow {--thecolor : var(--wp--preset--color--custom-yellow);}
    &.gold {--thecolor : var(--wp--preset--color--custom-gold);}
    &.green {--thecolor : var(--wp--preset--color--custom-green);}
    &.blue { --thecolor : var(--wp--preset--color--custom-blue);}
    &.purple {--thecolor : var(--wp--preset--color--custom-purple);}
    &.black {--thecolor : var(--wp--preset--color--custom-black);}
    &.grey {--thecolor : var(--wp--preset--color--custom-grey);}
    .wp-block-list li::marker { color: var(--thecolor);}
    .wp-block-navigation .current-menu-item::before { background-color: var(--thecolor); }
    &.page-child .wp-block-navigation .current-menu-item::before { background-color: #fff;bottom: -14px;  }
    .wp-block-quote { border-color: var(--thecolor);}
}

.wp-block-navigation .current-menu-item {
    color: black;
    font-weight: 600;
    /*
    position: relative; z-index: 2;
    &::before {content: ''; 
        position: absolute; z-index: 1;
        width: 100%; height: 10px; bottom: -5px;  background-color: #e7e7e7;
    }
        */
}


 :root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
                text-decoration: none;
}
/*
https://learn.wordpress.org/lesson-plan/use-duotone-filters-to-change-color-effects/
*/
header .substack {
    a {position: relative; }
    a:before { content: '';
        filter: url(#wp-duotone-substack);
        position: absolute; left: 6px; top: 6px; width: 100%; height: 24px; 
        background-image: url('https://test.th1nk.co.za/wp-content/uploads/2025/11/substack.svg');
        background-size: contain;
        background-repeat: no-repeat;
    }
    svg {
        /* visibility: hidden; */
        color: transparent!important;
        fill: transparent!important;
    }
}


footer .substack { 
    svg {display: none;}

    *:focus {
        outline: none!important;
    }

    .wp-block-social-link-label { position: relative; padding-left: 24px;}
    .wp-block-social-link-label:before { content: '';
        filter: url(#wp-duotone-substack);
        position: absolute; left: -3px; top: -0.6em; width: 18px; height: 24px; 
        background-image: url('https://test.th1nk.co.za/wp-content/uploads/2025/11/substack.svg');
        background-size: contain;
        background-repeat: no-repeat;
    }
}

 .shoes figure img {
    mix-blend-mode: luminosity;
    transform: rotate(-25deg);
    filter: drop-shadow(-17px 37px 5px #00000050);
    transition: transform 0.2s;
}
.shoes figure:focus img,
.shoes figure:hover img {
    mix-blend-mode: normal;
    transform: translate(23px, 26px);
}

.glasses figure img {
    transform: translateY(0px);
    transition: all 0.2s;
    mix-blend-mode: luminosity;
    opacity: 0.8;
    filter: drop-shadow(0px 8px 3px #00000050);
}
.glasses figure:hover img {
    transform:  translateY(10px) scale(105%);
    mix-blend-mode: normal;
    opacity: 1;
}

.tools figure img {
    transform: scale(100%);
    transition: all 0.2s ease-in-out;
    mix-blend-mode: luminosity;
    opacity: 0.9;
    filter: drop-shadow(0px 32px 15px #00000070);
}
.tools figure:hover img {
    transform:  scale(120%);
    mix-blend-mode: normal;
    opacity: 1;
}